import createAxios from '@/utils/request'

// 获取设备补召页面数据
export function getMakeUpData(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/offlineDataUpload/makeUpData?lineId=' + data,
        method: 'POST'
    })
}

//查询设备目录-文件
export function getAskDirOrFile(data: any) {
    return createAxios({
        url: `/cs-harmonic-boot/offlineDataUpload/askDirOrFile?fileType=${data.fileType}&nDid=${data.nDid}&path=${data.path}&prjName=${data.prjName}`,
        method: 'POST'
    })
}

//设备补召操作
// 获取设备补召页面数据
export function offlineDataUploadMakeUp(data: any) {
    return createAxios({
        url: '/cs-harmonic-boot/offlineDataUpload/makeUp',
        method: 'POST',
        data
    })
}
//设备补召操作
// 根据id集合获取敏感负荷用户列表
export function getListByIds() {
    return createAxios({
        url: '/cs-harmonic-boot/pqSensitiveUser/getListByIds',
        method: 'POST'
    })
}
// 根据id集合获取敏感负荷用户列表
export function getList(data) {
    return createAxios({
        url: '/cs-harmonic-boot/pqSensitiveUser/getList',
        method: 'POST',
        data
    })
}
